define('conectar-educativo/tests/acceptance/puede-navegar-la-aplicacion-completa-test', ['exports', 'qunit', 'conectar-educativo/tests/helpers/module-for-acceptance'], function (exports, _qunit, _conectarEducativoTestsHelpersModuleForAcceptance) {

  (0, _conectarEducativoTestsHelpersModuleForAcceptance['default'])('Acceptance | puede navegar la aplicacion completa');

  (0, _qunit.test)('visiting /puede-navegar-la-aplicacion-completa', function (assert) {
    visit('/');

    andThen(function () {
      assert.equal(currentURL(), '/');
      assert.ok(find('p:first').text().indexOf('Hola') > -1, "Existe el mensaje de bienvenida.");

      click("#btn-buscar");
    });

    function buscar(termino, resultadosMinimosEsperados) {
      andThen(function () {
        assert.equal(find("input").length, 1, 'Puede ingresar ' + termino);
        fillIn("input", termino);
        click("button");
      });

      andThen(function () {
        if (resultadosMinimosEsperados > 0) {
          assert.ok(find(".huayra-item-resultado").length > resultadosMinimosEsperados, 'Hay más de ' + resultadosMinimosEsperados + ' resultados para ' + termino);
        } else {
          assert.equal(find(".huayra-item-resultado").length, 0, 'No hay ningún resultado para ' + termino);
        }
      });
    }

    buscar("sarmiento", 20);
    buscar("pilas", 20);
    buscar("san martin", 20);
    buscar("buenos aires", 20);
    buscar("conectar igualdad", 20);

    buscar("argentina", 20);
    buscar("politica", 20);
    buscar("asdadsasdasdadasd", 0);
  });
});
define('conectar-educativo/tests/acceptance/puede-navegar-la-aplicacion-completa-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - acceptance/puede-navegar-la-aplicacion-completa-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'acceptance/puede-navegar-la-aplicacion-completa-test.js should pass jshint.');
  });
});
define('conectar-educativo/tests/app.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - app.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'app.js should pass jshint.');
  });
});
define('conectar-educativo/tests/components/ce-back.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - components/ce-back.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'components/ce-back.js should pass jshint.');
  });
});
define('conectar-educativo/tests/components/ce-contador-descargas.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - components/ce-contador-descargas.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'components/ce-contador-descargas.js should pass jshint.');
  });
});
define('conectar-educativo/tests/components/ce-header.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - components/ce-header.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'components/ce-header.js should pass jshint.');
  });
});
define('conectar-educativo/tests/components/ce-progress.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - components/ce-progress.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'components/ce-progress.js should pass jshint.');
  });
});
define('conectar-educativo/tests/components/ce-thumb.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - components/ce-thumb.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'components/ce-thumb.js should pass jshint.');
  });
});
define('conectar-educativo/tests/components/ce-video.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - components/ce-video.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'components/ce-video.js should pass jshint.');
  });
});
define('conectar-educativo/tests/components/g-estado-descarga-de-item.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - components/g-estado-descarga-de-item.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'components/g-estado-descarga-de-item.js should pass jshint.');
  });
});
define('conectar-educativo/tests/components/huayra-item-resultado.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - components/huayra-item-resultado.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'components/huayra-item-resultado.js should pass jshint.');
  });
});
define('conectar-educativo/tests/controllers/application.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - controllers/application.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'controllers/application.js should pass jshint.');
  });
});
define('conectar-educativo/tests/controllers/buscar/index.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - controllers/buscar/index.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'controllers/buscar/index.js should pass jshint.');
  });
});
define('conectar-educativo/tests/controllers/buscar/resultado.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - controllers/buscar/resultado.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'controllers/buscar/resultado.js should pass jshint.');
  });
});
define('conectar-educativo/tests/controllers/buscar/resultado/visualizar.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - controllers/buscar/resultado/visualizar.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'controllers/buscar/resultado/visualizar.js should pass jshint.');
  });
});
define('conectar-educativo/tests/controllers/descargas.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - controllers/descargas.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'controllers/descargas.js should pass jshint.');
  });
});
define('conectar-educativo/tests/controllers/index.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - controllers/index.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'controllers/index.js should pass jshint.');
  });
});
define('conectar-educativo/tests/controllers/misrecursos.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - controllers/misrecursos.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'controllers/misrecursos.js should pass jshint.');
  });
});
define('conectar-educativo/tests/helpers/destroy-app', ['exports', 'ember'], function (exports, _ember) {
  exports['default'] = destroyApp;

  function destroyApp(application) {
    _ember['default'].run(application, 'destroy');
  }
});
define('conectar-educativo/tests/helpers/destroy-app.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - helpers/destroy-app.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'helpers/destroy-app.js should pass jshint.');
  });
});
define('conectar-educativo/tests/helpers/module-for-acceptance', ['exports', 'qunit', 'conectar-educativo/tests/helpers/start-app', 'conectar-educativo/tests/helpers/destroy-app'], function (exports, _qunit, _conectarEducativoTestsHelpersStartApp, _conectarEducativoTestsHelpersDestroyApp) {
  exports['default'] = function (name) {
    var options = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

    (0, _qunit.module)(name, {
      beforeEach: function beforeEach() {
        this.application = (0, _conectarEducativoTestsHelpersStartApp['default'])();

        if (options.beforeEach) {
          options.beforeEach.apply(this, arguments);
        }
      },

      afterEach: function afterEach() {
        (0, _conectarEducativoTestsHelpersDestroyApp['default'])(this.application);

        if (options.afterEach) {
          options.afterEach.apply(this, arguments);
        }
      }
    });
  };
});
define('conectar-educativo/tests/helpers/module-for-acceptance.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - helpers/module-for-acceptance.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'helpers/module-for-acceptance.js should pass jshint.');
  });
});
define('conectar-educativo/tests/helpers/plain.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - helpers/plain.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'helpers/plain.js should pass jshint.');
  });
});
define('conectar-educativo/tests/helpers/resolver', ['exports', 'conectar-educativo/resolver', 'conectar-educativo/config/environment'], function (exports, _conectarEducativoResolver, _conectarEducativoConfigEnvironment) {

  var resolver = _conectarEducativoResolver['default'].create();

  resolver.namespace = {
    modulePrefix: _conectarEducativoConfigEnvironment['default'].modulePrefix,
    podModulePrefix: _conectarEducativoConfigEnvironment['default'].podModulePrefix
  };

  exports['default'] = resolver;
});
define('conectar-educativo/tests/helpers/resolver.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - helpers/resolver.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'helpers/resolver.js should pass jshint.');
  });
});
define('conectar-educativo/tests/helpers/start-app', ['exports', 'ember', 'conectar-educativo/app', 'conectar-educativo/config/environment'], function (exports, _ember, _conectarEducativoApp, _conectarEducativoConfigEnvironment) {
  exports['default'] = startApp;

  function startApp(attrs) {
    var application = undefined;

    var attributes = _ember['default'].merge({}, _conectarEducativoConfigEnvironment['default'].APP);
    attributes = _ember['default'].merge(attributes, attrs); // use defaults, but you can override;

    _ember['default'].run(function () {
      application = _conectarEducativoApp['default'].create(attributes);
      application.setupForTesting();
      application.injectTestHelpers();
    });

    return application;
  }
});
define('conectar-educativo/tests/helpers/start-app.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - helpers/start-app.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'helpers/start-app.js should pass jshint.');
  });
});
define('conectar-educativo/tests/initializers/wm-class.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - initializers/wm-class.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'initializers/wm-class.js should pass jshint.');
  });
});
define('conectar-educativo/tests/integration/components/ce-contador-descargas-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleForComponent)('ce-contador-descargas', 'Integration | Component | ce contador descargas', {
    integration: true
  });

  (0, _emberQunit.test)('it renders', function (assert) {
    this.render(Ember.HTMLBars.template((function () {
      return {
        meta: {
          'fragmentReason': {
            'name': 'missing-wrapper',
            'problems': ['wrong-type']
          },
          'revision': 'Ember@2.3.2',
          'loc': {
            'source': null,
            'start': {
              'line': 1,
              'column': 0
            },
            'end': {
              'line': 1,
              'column': 25
            }
          }
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment('');
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [['content', 'ce-contador-descargas', ['loc', [null, [1, 0], [1, 25]]]]],
        locals: [],
        templates: []
      };
    })()));
    assert.equal(this.$().text().trim(), '0');
  });
});
define('conectar-educativo/tests/integration/components/ce-contador-descargas-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - integration/components/ce-contador-descargas-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'integration/components/ce-contador-descargas-test.js should pass jshint.');
  });
});
define('conectar-educativo/tests/integration/components/ce-thumb-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleForComponent)('ce-thumb', 'Integration | Component | ce thumb', {
    integration: true
  });

  (0, _emberQunit.test)('it renders', function (assert) {
    // Set any properties with this.set('myProperty', 'value');
    // Handle any actions with this.on('myAction', function(val) { ... });"

    this.render(Ember.HTMLBars.template((function () {
      return {
        meta: {
          'fragmentReason': {
            'name': 'missing-wrapper',
            'problems': ['wrong-type']
          },
          'revision': 'Ember@2.3.2',
          'loc': {
            'source': null,
            'start': {
              'line': 1,
              'column': 0
            },
            'end': {
              'line': 1,
              'column': 12
            }
          }
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment('');
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [['content', 'ce-thumb', ['loc', [null, [1, 0], [1, 12]]]]],
        locals: [],
        templates: []
      };
    })()));

    assert.equal(this.$().text().trim(), '');
  });
});
define('conectar-educativo/tests/integration/components/ce-thumb-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - integration/components/ce-thumb-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'integration/components/ce-thumb-test.js should pass jshint.');
  });
});
define('conectar-educativo/tests/integration/components/ce-video-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleForComponent)('ce-video', 'Integration | Component | ce video', {
    integration: true
  });

  (0, _emberQunit.test)('it renders', function (assert) {
    // Set any properties with this.set('myProperty', 'value');
    // Handle any actions with this.on('myAction', function(val) { ... });"

    this.render(Ember.HTMLBars.template((function () {
      return {
        meta: {
          'fragmentReason': {
            'name': 'missing-wrapper',
            'problems': ['wrong-type']
          },
          'revision': 'Ember@2.3.2',
          'loc': {
            'source': null,
            'start': {
              'line': 1,
              'column': 0
            },
            'end': {
              'line': 1,
              'column': 12
            }
          }
        },
        isEmpty: false,
        arity: 0,
        cachedFragment: null,
        hasRendered: false,
        buildFragment: function buildFragment(dom) {
          var el0 = dom.createDocumentFragment();
          var el1 = dom.createComment('');
          dom.appendChild(el0, el1);
          return el0;
        },
        buildRenderNodes: function buildRenderNodes(dom, fragment, contextualElement) {
          var morphs = new Array(1);
          morphs[0] = dom.createMorphAt(fragment, 0, 0, contextualElement);
          dom.insertBoundary(fragment, 0);
          dom.insertBoundary(fragment, null);
          return morphs;
        },
        statements: [['content', 'ce-video', ['loc', [null, [1, 0], [1, 12]]]]],
        locals: [],
        templates: []
      };
    })()));

    assert.equal(this.$().text().trim(), 'Solicitando video ...');
  });
});
define('conectar-educativo/tests/integration/components/ce-video-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - integration/components/ce-video-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'integration/components/ce-video-test.js should pass jshint.');
  });
});
define('conectar-educativo/tests/resolver.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - resolver.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'resolver.js should pass jshint.');
  });
});
define('conectar-educativo/tests/router.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - router.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'router.js should pass jshint.');
  });
});
define('conectar-educativo/tests/routes/application.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - routes/application.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'routes/application.js should pass jshint.');
  });
});
define('conectar-educativo/tests/routes/buscar.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - routes/buscar.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'routes/buscar.js should pass jshint.');
  });
});
define('conectar-educativo/tests/routes/buscar/index.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - routes/buscar/index.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'routes/buscar/index.js should pass jshint.');
  });
});
define('conectar-educativo/tests/routes/buscar/resultado.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - routes/buscar/resultado.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'routes/buscar/resultado.js should pass jshint.');
  });
});
define('conectar-educativo/tests/routes/buscar/resultado/visualizar.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - routes/buscar/resultado/visualizar.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'routes/buscar/resultado/visualizar.js should pass jshint.');
  });
});
define('conectar-educativo/tests/routes/descargas.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - routes/descargas.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'routes/descargas.js should pass jshint.');
  });
});
define('conectar-educativo/tests/routes/index.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - routes/index.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'routes/index.js should pass jshint.');
  });
});
define('conectar-educativo/tests/routes/misrecursos.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - routes/misrecursos.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'routes/misrecursos.js should pass jshint.');
  });
});
define('conectar-educativo/tests/services/ajax.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - services/ajax.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'services/ajax.js should pass jshint.');
  });
});
define('conectar-educativo/tests/services/api.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - services/api.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'services/api.js should pass jshint.');
  });
});
define('conectar-educativo/tests/services/navigator.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - services/navigator.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'services/navigator.js should pass jshint.');
  });
});
define('conectar-educativo/tests/services/network.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - services/network.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'services/network.js should pass jshint.');
  });
});
define('conectar-educativo/tests/services/queue.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - services/queue.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'services/queue.js should pass jshint.');
  });
});
define('conectar-educativo/tests/services/recursos.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - services/recursos.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'services/recursos.js should pass jshint.');
  });
});
define('conectar-educativo/tests/services/vlc.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - services/vlc.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'services/vlc.js should pass jshint.');
  });
});
define('conectar-educativo/tests/test-helper', ['exports', 'conectar-educativo/tests/helpers/resolver', 'ember-qunit'], function (exports, _conectarEducativoTestsHelpersResolver, _emberQunit) {

  (0, _emberQunit.setResolver)(_conectarEducativoTestsHelpersResolver['default']);
});
define('conectar-educativo/tests/test-helper.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - test-helper.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'test-helper.js should pass jshint.');
  });
});
define('conectar-educativo/tests/unit/controllers/application-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleFor)('controller:application', 'Unit | Controller | application', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  // Replace this with your real tests.
  (0, _emberQunit.test)('it exists', function (assert) {
    var controller = this.subject();
    assert.ok(controller);
  });
});
define('conectar-educativo/tests/unit/controllers/application-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - unit/controllers/application-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/controllers/application-test.js should pass jshint.');
  });
});
define('conectar-educativo/tests/unit/controllers/buscar/index-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleFor)('controller:buscar/index', 'Unit | Controller | buscar/index', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  // Replace this with your real tests.
  (0, _emberQunit.test)('it exists', function (assert) {
    var controller = this.subject();
    assert.ok(controller);
  });
});
define('conectar-educativo/tests/unit/controllers/buscar/index-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - unit/controllers/buscar/index-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/controllers/buscar/index-test.js should pass jshint.');
  });
});
define('conectar-educativo/tests/unit/controllers/buscar/resultado-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleFor)('controller:buscar/resultado', 'Unit | Controller | buscar/resultado', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  // Replace this with your real tests.
  (0, _emberQunit.test)('it exists', function (assert) {
    var controller = this.subject();
    assert.ok(controller);
  });
});
define('conectar-educativo/tests/unit/controllers/buscar/resultado-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - unit/controllers/buscar/resultado-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/controllers/buscar/resultado-test.js should pass jshint.');
  });
});
define('conectar-educativo/tests/unit/controllers/buscar/resultado/visualizar-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleFor)('controller:buscar/resultado/visualizar', 'Unit | Controller | buscar/resultado/visualizar', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  // Replace this with your real tests.
  (0, _emberQunit.test)('it exists', function (assert) {
    var controller = this.subject();
    assert.ok(controller);
  });
});
define('conectar-educativo/tests/unit/controllers/buscar/resultado/visualizar-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - unit/controllers/buscar/resultado/visualizar-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/controllers/buscar/resultado/visualizar-test.js should pass jshint.');
  });
});
define('conectar-educativo/tests/unit/controllers/descargas-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleFor)('controller:descargas', 'Unit | Controller | descargas', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  // Replace this with your real tests.
  (0, _emberQunit.test)('it exists', function (assert) {
    var controller = this.subject();
    assert.ok(controller);
  });
});
define('conectar-educativo/tests/unit/controllers/descargas-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - unit/controllers/descargas-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/controllers/descargas-test.js should pass jshint.');
  });
});
define('conectar-educativo/tests/unit/controllers/misrecursos-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleFor)('controller:misrecursos', 'Unit | Controller | misrecursos', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  // Replace this with your real tests.
  (0, _emberQunit.test)('it exists', function (assert) {
    var controller = this.subject();
    assert.ok(controller);
  });
});
define('conectar-educativo/tests/unit/controllers/misrecursos-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - unit/controllers/misrecursos-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/controllers/misrecursos-test.js should pass jshint.');
  });
});
define('conectar-educativo/tests/unit/helpers/plain-test', ['exports', 'qunit'], function (exports, _qunit) {

  (0, _qunit.module)('Unit | Helper | plain');

  (0, _qunit.test)('it works', function (assert) {
    assert.ok(true);
  });
});
define('conectar-educativo/tests/unit/helpers/plain-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - unit/helpers/plain-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/helpers/plain-test.js should pass jshint.');
  });
});
define('conectar-educativo/tests/unit/routes/application-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleFor)('route:application', 'Unit | Route | application', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  (0, _emberQunit.test)('it exists', function (assert) {
    var route = this.subject();
    assert.ok(route);
  });
});
define('conectar-educativo/tests/unit/routes/application-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - unit/routes/application-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/routes/application-test.js should pass jshint.');
  });
});
define('conectar-educativo/tests/unit/routes/buscar-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleFor)('route:buscar', 'Unit | Route | buscar', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  (0, _emberQunit.test)('it exists', function (assert) {
    var route = this.subject();
    assert.ok(route);
  });
});
define('conectar-educativo/tests/unit/routes/buscar-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - unit/routes/buscar-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/routes/buscar-test.js should pass jshint.');
  });
});
define('conectar-educativo/tests/unit/routes/buscar/resultado-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleFor)('route:buscar/resultado', 'Unit | Route | buscar/resultado', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  (0, _emberQunit.test)('it exists', function (assert) {
    var route = this.subject();
    assert.ok(route);
  });
});
define('conectar-educativo/tests/unit/routes/buscar/resultado-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - unit/routes/buscar/resultado-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/routes/buscar/resultado-test.js should pass jshint.');
  });
});
define('conectar-educativo/tests/unit/routes/buscar/resultado/visualizar-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleFor)('route:buscar/resultado/visualizar', 'Unit | Route | buscar/resultado/visualizar', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  (0, _emberQunit.test)('it exists', function (assert) {
    var route = this.subject();
    assert.ok(route);
  });
});
define('conectar-educativo/tests/unit/routes/buscar/resultado/visualizar-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - unit/routes/buscar/resultado/visualizar-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/routes/buscar/resultado/visualizar-test.js should pass jshint.');
  });
});
define('conectar-educativo/tests/unit/routes/descargas-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleFor)('route:descargas', 'Unit | Route | descargas', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  (0, _emberQunit.test)('it exists', function (assert) {
    var route = this.subject();
    assert.ok(route);
  });
});
define('conectar-educativo/tests/unit/routes/descargas-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - unit/routes/descargas-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/routes/descargas-test.js should pass jshint.');
  });
});
define('conectar-educativo/tests/unit/routes/index-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleFor)('route:index', 'Unit | Route | index', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  (0, _emberQunit.test)('it exists', function (assert) {
    var route = this.subject();
    assert.ok(route);
  });
});
define('conectar-educativo/tests/unit/routes/index-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - unit/routes/index-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/routes/index-test.js should pass jshint.');
  });
});
define('conectar-educativo/tests/unit/routes/misrecursos-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleFor)('route:misrecursos', 'Unit | Route | misrecursos', {
    // Specify the other units that are required for this test.
    // needs: ['controller:foo']
  });

  (0, _emberQunit.test)('it exists', function (assert) {
    var route = this.subject();
    assert.ok(route);
  });
});
define('conectar-educativo/tests/unit/routes/misrecursos-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - unit/routes/misrecursos-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/routes/misrecursos-test.js should pass jshint.');
  });
});
define('conectar-educativo/tests/unit/services/api-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleFor)('service:api', 'Unit | Service | api', {
    // Specify the other units that are required for this test.
    // needs: ['service:foo']
  });

  // Replace this with your real tests.
  (0, _emberQunit.test)('it exists', function (assert) {
    var service = this.subject();
    assert.ok(service);
  });
});
define('conectar-educativo/tests/unit/services/api-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - unit/services/api-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/services/api-test.js should pass jshint.');
  });
});
define('conectar-educativo/tests/unit/services/navigator-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleFor)('service:navigator', 'Unit | Service | navigator', {
    // Specify the other units that are required for this test.
    // needs: ['service:foo']
  });

  // Replace this with your real tests.
  (0, _emberQunit.test)('it exists', function (assert) {
    var service = this.subject();
    assert.ok(service);
  });
});
define('conectar-educativo/tests/unit/services/navigator-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - unit/services/navigator-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/services/navigator-test.js should pass jshint.');
  });
});
define('conectar-educativo/tests/unit/services/queue-test', ['exports', 'ember-qunit'], function (exports, _emberQunit) {

  (0, _emberQunit.moduleFor)('service:queue', 'Unit | Service | queue', {
    // Specify the other units that are required for this test.
    // needs: ['service:foo']
  });

  // Replace this with your real tests.
  (0, _emberQunit.test)('it exists', function (assert) {
    var service = this.subject();
    assert.ok(service);
  });
});
define('conectar-educativo/tests/unit/services/queue-test.jshint', ['exports'], function (exports) {
  'use strict';

  QUnit.module('JSHint - unit/services/queue-test.js');
  QUnit.test('should pass jshint', function (assert) {
    assert.expect(1);
    assert.ok(true, 'unit/services/queue-test.js should pass jshint.');
  });
});
/* jshint ignore:start */

require('conectar-educativo/tests/test-helper');
EmberENV.TESTS_FILE_LOADED = true;

/* jshint ignore:end */
//# sourceMappingURL=tests.map